Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232241 - CVE-2007-0720 Incomplete SSL negotiation prevents other clients from connecting to CUPS server
Summary: CVE-2007-0720 Incomplete SSL negotiation prevents other clients from connecti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL: http://lists.apple.com/archives/secur...
Whiteboard: impact=moderate,source=cve,reported=2...
Depends On:
Blocks: 232243
TreeView+ depends on / blocked
 
Reported: 2007-03-14 15:26 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0123
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 11:51:41 UTC


Attachments (Terms of Use)
CVE-2007-0720 reproducer that uses dribbling to DoS even a patched version (deleted)
2007-03-27 10:41 UTC, Lubomir Kundrak
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0123 normal SHIPPED_LIVE Moderate: cups security update 2007-04-16 11:51:37 UTC

Description Lubomir Kundrak 2007-03-14 15:26:48 UTC
Description of problem:

CUPS doesn't use separate workers for connections. During SSL
negotiation it does not accept new connections from anyone so
any user can DoS the server with unfinished negotiation.

Version-Release number of selected component (if applicable):

Both 1.2 <= 1.2.7 and 1.1 are affected.
I was able to reproduce on RHEL4, RHEL5.
FC6 (1.2.7) is already fixed.

How reproducible:

SSL support needs to be enabled. Default in 1.2.

Steps to Reproduce:
1. Launch the attached reproducer (eventually modify appropriately)
2. Let it run for at least 10 secs (to ensure that the server is not patched)
3. Attempt another connection to the CUPS server.
  
Actual results:

Hang.

Additional info:

The relevant fix:
http://www.cups.org/articles.php?L429+I10+T+P1+Q (r6110, r6081, r6079)

Comment 4 Lubomir Kundrak 2007-03-15 14:25:16 UTC
*** Bug 232242 has been marked as a duplicate of this bug. ***

Comment 12 Red Hat Bugzilla 2007-04-16 11:51:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0123.html


Comment 13 Lubomir Kundrak 2007-04-16 13:31:34 UTC
Comment on attachment 151009 [details]
CVE-2007-0720 reproducer that uses dribbling to DoS even a patched version

CUPS server should _NOT_ be made publically accessible from untrusted networks.
Due to the design of the server it is still vulnerable to dribbling attacks as
demonstrated by the attached reproducer. This should not be a problem at all,
there is no practical need to override local-only default and enable access to
the print server from the Internet.


Note You need to log in before you can comment on or make changes to this bug.